%global pypi_name ovsdbapp

Summary:        A library for creating OVSDB applications
Name:           python-ovsdbapp
Version:        2.2.1
Release:        4%{?dist}
License:        Apache-2.0
URL:            https://pypi.org/project/%{pypi_name}/
Source0:        %{pypi_source}

BuildArch:      noarch

%description
This package provides a library for writing Open vSwitch OVSDB-based applications.

%package -n python3-%{pypi_name}
Summary:        A library for creating OVSDB applications

BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-oslotest python3-stestr python3-testrepository
BuildRequires:  python3-openvswitch python3-fixtures python3-netaddr
Requires:       python3-fixtures python3-netaddr python3-openvswitch python3-pbr
Requires:       python3-mock python3-oslotest python3-testrepository
Provides:       python-%{pypi_name}

%description -n python3-%{pypi_name}
This package provides a library for writing Open vSwitch OVSDB-based applications.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}%{_pkgdocdir}

%check
PYTHON=%{__python3} OS_TEST_PATH=./ovsdbapp/tests/unit stestr run

%files -n python3-%{pypi_name}
%{_docdir}/*
%dir %{python3_sitelib}/*
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 17 2023 Wang Guodong <gordonwwang@tencent.com> - 2.2.1-1
- initial build
